Bug 807128 - marble widget on qt designer
marble widget on qt designer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: marble (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 02:05 EDT by Noori
Modified: 2012-03-30 06:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 08:58:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noori 2012-03-27 02:05:01 EDT
Description of problem: After installing marble+libs+devel unable to see marblewidget in Qt designer. I think marblewidget plugin should be in th
e path /usr/lib64/qt4/plugins/designer/ .

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2012-03-27 07:32:48 EDT
Marble doesn't provide any designer plugin that I can tell.
Comment 2 Rex Dieter 2012-03-27 07:47:52 EDT
OK, further investigation shows that marble does have a designer plugin:
http://techbase.kde.org/Projects/Marble/MarbleDesigner
except it's not built by default, and requires -DWITH_DESIGNER_PLUGIN=ON (for some reason).

We can look into enabling this in our marble packaging
Comment 3 Rex Dieter 2012-03-27 08:58:21 EDT
%changelog
* Tue Mar 27 2012 Rex Dieter <rdieter@fedoraproject.org> 1:4.8.1-2
- enable designer plugin (#807128)

built for rawhide, will roll this into the kde-4.8.2 update coming soon (early april):
http://techbase.kde.org/Schedules/KDE4/4.8_Release_Schedule#Tuesday.2C_April_3.2C_2012:_KDE_SC_4.8.2_release
Comment 4 Noori 2012-03-29 10:31:55 EDT
Is it for gnome too.
Comment 5 Rex Dieter 2012-03-29 11:20:07 EDT
If not in kde, to see these extra widget's, you may have to manually set
export QT_PLUGIN_PATH=/usr/lib64/kde4/plugins
or
export QT_PLUGIN_PATH=/usr/lib/kde4/plugins

prior to running designer.
Comment 6 Noori 2012-03-29 23:51:44 EDT
But in Gnome when I compile from source with options:
-DQTONLY=ON -DWITH_DESIGNER_PLUGIN=ON

it's work. could this done in rpm package.
Comment 7 Kevin Kofler 2012-03-30 06:01:56 EDT
No. Building Qt-only is not an option for us, it disables several features and all the KDE integration.

Note You need to log in before you can comment on or make changes to this bug.